﻿@model  Select2CondicoesComerciaisViewModel

@if (Model.verTitulo)
{
    <label for="input-text-1">
        <strong class="strong-min-tgv">Condições Comerciais:</strong>
    </label>
}
<div class="col-lg-12 selcndcmcsvc limparTooltipChange" style="@Model.margintopSel">
    <div id="@string.Concat(Model.idControleSelect2, "Container")"></div>
</div>

<script type="text/javascript">
        $(function () {
            with (new ComponenteSelect2()) {
                with (modelo) {
                    ajaxPostApiURL = '@Url.Content("~/api/Select2CondicoesComerciais/ObterDescricoesCondicoesComerciais")';
                    idContainerControle = '@string.Concat(Model.idControleSelect2, "Container")';
                    idControle = '@Model.idControleSelect2';
                    ajaxIdCampoPesquisaAPI = "DESCNDCMC";
                    textoInicial = "Selecione o desconto";
                    jsonTexto = "DESCNDCMC";
                    jsonValor = "CODCNDCMC";
                    caracteresMinimos = 0;
                    multiplo = false;
                    @if (Model.ativo)
                    {
                    <text>buscarAtivos = true;</text>
                    }
                    else
                    {
                    <text>buscarAtivos = false;</text>
                    }
                    @if (!string.IsNullOrEmpty(@Model.idControleInput))
                    {
                       <text>with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCNDCMC", idJsonEnviar = "@Model.idControleInput", tipoJsonEnviar = 'tipoNumerico' }</text>
                    };
                }
                inicializar(null);
            }
        });
</script>
